Get a page of partners

Query Parameters
  • PageIndex
    Type: integerFormat: int32

    The page index of the search.

  • PageSize
    Type: integerFormat: int32

    The number of partners to be returned in the response. Returns pages of up to 500 records.

  • SearchText
    Type: string

    The search text to filter partners by. This can be all or part of a partner name or partner code.

  • Relationship
    Type: integer · enum

    The type of partner (client or carrier), expressed as an integer.

    values
    • Client = 1
    • Carrier = 2
  • Status
    Type: integer · enum

    The current active status of the partner, expressed as an integer.

    values
    • Inactive = 1
    • Active = 2
Responses
  • application/json
Request Example for get/v1/partners
curl 'https://api.consignlyhq.com/v1/partners?PageIndex=1&PageSize=25&SearchText=Fine%20Example%20Freighting&Relationship=1&Status=2'
{
  "index": 1,
  "total": 1,
  "partners": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "externalId": null,
      "name": null,
      "code": null,
      "email": null,
      "relationship": "enum (Client = 1, Carrier = 2)",
      "status": "enum (Inactive = 1, Active = 2)"
    }
  ]
}